/*
	接口统一管理
*/
const apiurl = {
	// 获取微信信息
	wxinfo: {
		url: '/auth/miniappLoginInfo',
		type: 'get'
	},
	// 授权获取微信手机号
	getMobile: {
		url: '/auth/getMobile',
		type: 'get'
	},
	// 用户注册登陆
	login: {
		url: '/auth/userRegisterOrLogin',
		type: 'post'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 查询登录用户信息
	memberInfo: {
		url: '/memberInfo/selectById',
		type: 'get'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/memberInfo/update',
		type: 'put'
	},
	//轮播图
	swiperList: {
		url: '/advList/pageList',
		type: 'get'
	},
	//轮播图详情
	swiperDetails: {
		url: '/advList/selectById',
		type: 'get'
	},
	// 商品分类信息
	goodsTypeTree: {
		url: '/goodsType/tree',
		type: 'get'
	},
	// 商品分类信息列表
	goodsTypeList: {
		url: '/goodsType/list',
		type: 'get'
	},
	// 商品列表
	memberGoodList: {
		url: '/goods/memberGoodList',
		type: 'get'
	},
	// 商品详情
	memberGoodDetails: {
		url: '/goods/memberGetById',
		type: 'get'
	},
	// 商品评价
	commentList: {
		url: '/goods/commentList',
		type: 'get'
	},
	// 旭烁简介
	xsGetIntro: {
		url: '/shop/getIntro',
		type: 'get'
	},
	// 提交合作加盟联系信息
	shopContact: {
		url: '/shopContact/insert',
		type: 'post'
	},
	// 商行产品类型
	shopGoodsType: {
		url: '/shopGoodsType/list',
		type: 'get'
	},
	// 商行产品列表
	shopGoods: {
		url: '/shopGoods/pageList',
		type: 'get'
	},
	// 热销商品列表
	topGoodList: {
		url: '/goods/selectTopGoodList',
		type: 'get'
	},
	// 动态类型列表
	shopNewsType: {
		url: '/shopNewsType/list',
		type: 'get'
	},
	// 动态列表
	shopNewsList: {
		url: '/shopNews/pageList',
		type: 'get'
	},
	// 动态详情
	shopNews: {
		url: '/shopNews/selectById',
		type: 'get'
	},
	// 动态详情增加浏览量
	addViewCount: {
		url: '/shopNews/addViewCount',
		type: 'put'
	},
	// 购物车
	// 商品加入购物车
	addCart: {
		url: '/goodsCart/insert',
		type: 'post'
	},
	// 购物车列表
	cartList: {
		url: '/goodsCart/pageList',
		type: 'get'
	},
	// 修改购物车商品数量
	updateQuantity: {
		url: '/goodsCart/updateQuantity',
		type: 'post'
	},
	// 批量移除
	deleteCarts: {
		url: '/goodsCart/deleteByIds',
		type: 'delete'
	},
	// 地址列表
	addrList: {
		url: '/memberAddress/pageList',
		type: 'get'
	},
	// 添加地址
	addAddr: {
		url: '/memberAddress/insert',
		type: 'post'
	},
	// 查看详情
	getAddrById: {
		url: '/memberAddress/selectById',
		type: 'get'
	},
	// 修改地址
	editAddr: {
		url: '/memberAddress/update',
		type: 'put'
	},
	// 删除地址
	delAddr: {
		url: '/memberAddress/deleteById',
		type: 'delete'
	},
	// 查询登录用户订单量
	statisticsOrder: {
		url: '/order/statisticsOrder',
		type: 'get'
	},
	// 订单列表
	orderList: {
		url: '/order/pageList',
		type: 'get'
	},
	// 订单详情
	orderDetails: {
		url: '/order/selectById',
		type: 'get'
	},
	// 订单
	// 订单提交
	submitOrder: {
		url: '/order/submit',
		type: 'post'
	},
	// 订单结算详情
	getSettlement: {
		url: '/order/getSettlement',
		type: 'post'
	},
	// 订单支付
	gotoPay: {
		url: '/payment/gotoPay',
		type: 'post'
	},
	// 支付查询
	payQuery: {
		url: '/payment/payQuery',
		type: 'post'
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}